clang 8.0.0

Public Attributes | List of all members
CXCompletionResult Struct Reference
libclang: C Interface to Clang » Code completion

A single result of code completion. More...

`#include "clang-c/Index.h"`

Collaboration diagram for CXCompletionResult:
[legend]

## Public Attributes
enum CXCursorKind | CursorKind
| The kind of entity that this completion refers to. More...
CXCompletionString | CompletionString
| The code-completion string that describes how to insert this code-completion result into the editing buffer. More...

## Detailed Description

A single result of code completion.

Definition at line 5043 of file Index.h.

## Member Data Documentation

## ◆ CompletionString

CXCompletionString CXCompletionResult::CompletionString

The code-completion string that describes how to insert this code-completion result into the editing buffer.

Definition at line 5060 of file Index.h.

## ◆ CursorKind

enum CXCursorKind CXCompletionResult::CursorKind

The kind of entity that this completion refers to.

The cursor kind will be a macro, keyword, or a declaration (one of the *Decl cursor kinds), describing the entity that the completion is referring to.

Todo:
  In the future, we would like to provide a full cursor, to allow the client to extract additional information from declaration.

Definition at line 5054 of file Index.h.

The documentation for this struct was generated from the following file:

- include/clang-c/Index.h